Skip to main content
GET
/
projects
/
{projectId}
/
schemas
/
{entityType}
/
{name}
List for Entity and Name
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/schemas/{entityType}/{name} \
  --header 'Authorization: Basic <encoded-value>'
{
  "description": "<string>",
  "properties": {},
  "metadata": {
    "com.mixpanel": {
      "$source": "<string>",
      "displayName": "<string>",
      "tags": [
        "<string>"
      ],
      "hidden": false,
      "dropped": false,
      "contacts": [
        "<string>"
      ],
      "teamContacts": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

entityType
enum<string>
required

The entity type (eg: event)

Available options:
event,
profile
name
string
required

The entity name (eg: Added To Cart)

Response

Success

The schema for the entity

description
string

The entity description

properties
object

The list of properties that should be included on an instance of this entity

metadata
object